Skip to main content
GET
/
v2
/
parties
GET /v2/parties
curl --request GET \
  --url https://api.example.com/v2/parties \
  --header 'Authorization: Bearer <token>'
{
  "partyDetails": [
    {
      "party": "<string>",
      "isLocal": true,
      "localMetadata": {
        "resourceVersion": "<string>",
        "annotations": {}
      },
      "identityProviderId": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Query Parameters

identity-provider-id
string
filter-party
string
pageSize
integer<int32>

maximum number of elements in a returned page

pageToken
string

token - to continue results from a given page, leave empty to start from the beginning of the list, obtain token from the result of previous page

Response

partyDetails
PartyDetails · object[]
required

The details of all Daml parties known by the participant.

Required: must be non-empty

nextPageToken
string

Pagination token to retrieve the next page. Empty, if there are no further results.

Optional